今天我们发布了针对 Kotlin 1.1 的第一个bug修复更新。此更新的重点是解决导致错误代码生成的回归;我们希望尽可能快地修复此问题。详细内容请查看更新日志
重点更新如下:

  • 默认情况下,已启用Gradle增量编译。如果需要,您仍然可以按照文档描述禁用此功能。
  • Kotlin插件现已可以通过Gradle插件依赖添加使用。详情可参阅相关文档。
  • 禁用使用带有接收器的函数类型作为JavaScript外部声明的参数类型。在此之前,传递给这些参数的lambdas没有被正确的参数调用,并且在这个问题上没有简单的解决方法,所以现在我们决定禁用这个功能。

更新后的Kotlin EclipseNetBeans 插件将支持Kotlin 1.1.1,所以您可以尽情享受Kotlin新版本的优点而无需关注IDE。

如何更新

要更新IDEA插件,在菜单栏中依次选择 Tools | Kotlin | Configure Kotlin Plugin Update,然后点击“Check for updates now”按钮。另外,不要忘记在Maven和Gradle构建脚本中更新编译器和标准库版本

命令行编译器可以从 Github发布页面 页面下载。
像往常一样,如果您在新版本中遇到任何问题,您可以在 论坛 中寻求帮助,在Slack(获取邀请)、或者在问题追踪器提出问题 。
让我们开始吧!